/* File: perl_iwtools.h 
 * Useful utilities for Iwtools perl package
 */

#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"
#include "ppport.h"

#define hv_store_undef(hv,key) \
  hv_store((hv),(key),strlen(key),&PL_sv_undef,0)

#define hv_store_pv(hv,key,stringvalue) \
  hv_store((hv),(key),strlen(key),newSVpv((stringvalue),0),0)

#define hv_store_iv(hv,key,intvalue) \
  hv_store((hv),(key),strlen(key),newSViv(intvalue),0)

#define hv_store_nv(hv,key,floatvalue) \
  hv_store((hv),(key),strlen(key),newSVnv(floatvalue),0)
